---
title: "Get document groups"
url: "https://docs.signnow.com/docs/document-group/operations/get-user-documentgroups"
type: "endpoint"
section: "document-group"
slug: "document-group/operations/get-user-documentgroups"
method: "GET"
path: "/user/documentgroups"
operation_id: "get-user-documentgroups"
authorization: "bearer"
---

# Get document groups

`GET /user/documentgroups`

This endpoint allows API users to get all document groups the user owns. 

Results are sorted by `last_updated` and paginated with the `limit` and `offset` query parameters.

## Authorization

bearer

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `limit` | integer | Yes | Number of document groups to return. Min: `1`, Max: `50`. |
| `offset` | integer | No | Number of document groups to skip. Min: `0`. Default: `0`. |

## Responses

### 200

Document groups owned by the user.

**Example** (`Successful response`)

```json
{
  "document_groups": [
    {
      "state": "created",
      "group_id": "153b4dd70d65deeecd9de9728c53649f4da1f046",
      "documents": [
        {
          "id": "ff25a62f1451abbdc91e6eaaaf80e13f6b01fb4f",
          "name": "Sample document",
          "roles": [
            "Signer 1",
            "Signer 2"
          ],
          "settings": {
            "advanced_signing_flow": false
          },
          "thumbnail": {
            "large": "https://api.signnow.com/document/ff25a62f1451abbdc91e6eaaaf80e13f6b01fb4f/thumbnail?size=large",
            "small": "https://api.signnow.com/document/ff25a62f1451abbdc91e6eaaaf80e13f6b01fb4f/thumbnail?size=small",
            "medium": "https://api.signnow.com/document/ff25a62f1451abbdc91e6eaaaf80e13f6b01fb4f/thumbnail?size=medium"
          },
          "page_count": 2,
          "has_credit_card_number": false
        }
      ],
      "folder_id": null,
      "invite_id": null,
      "group_name": "Sample document group",
      "is_embedded": false,
      "last_updated": "1792662063",
      "invite_status": null,
      "freeform_invite": {
        "id": null
      },
      "has_guest_signer": false,
      "is_full_declined": false,
      "has_signing_group": false
    }
  ],
  "document_group_total_count": 1,
  "originator_organization_settings": [
    {
      "value": "0",
      "setting": "require_email_subject"
    },
    {
      "value": "1",
      "setting": "document_guide"
    }
  ]
}
```

### 400

* Wrong, expired, or missing token.
* `limit` is missing or isn't between `1` and `50`.
* `offset` is less than `0`.

**Example** (`Wrong limit`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "The limit query parameter is required and must be between 1 and 50"
    }
  ]
}
```

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Wrong offset`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "The offset query parameter is required and must be 0 or greater"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/user/documentgroups" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-group/operations/get-user-documentgroups*
